clear all
close all
clc

fc=500;
Tc=1/fc;
Tf=10;

m=2;
rho=1.22;
l=6;
S=12;
b=1;
a=0.5;
V=0.01;
Kx=800;
Kt=200;
Ig=1.5;

xp0=0.01;
x0=0;
theta0=0;
thetap0=0;

sim('modello',Tf)

figure
subplot(1,2,1)
plot(x(:,1),x(:,2))
grid

subplot(1,2,2)
plot(x(:,2),xp(:,2))
hold on
plot(x0,xp0,'o','Markersize',5,'Markerfacecolor','r')
grid

%V0=sqrt(4*Kt/(pi*rho*c*(c-4*b)))
%V1=sqrt((4*Kt+4*Kx*((b-a)^2+Ig/m))/(pi*rho*c*(c-4*a)))
